gtkmm: Gtk::RecentAction Class Reference

gtkmm 3.24.8

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Gtk::RecentAction Class Reference
RecentFiles

A deprecated action of which represents a list of recently used files. More...

`#include <gtkmm/recentaction.h>`

Inheritance diagram for Gtk::RecentAction:
[legend]

## Public Member Functions
| RecentAction (RecentAction && src) noexcept
RecentAction & | operator= (RecentAction && src) noexcept
| ~RecentAction () noexcept override
GtkRecentAction * | gobj ()
| Provides access to the underlying C GObject.
const GtkRecentAction * | gobj () const
| Provides access to the underlying C GObject.
GtkRecentAction * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
bool | get_show_numbers ()
| Returns the value set by Gtk::RecentChooserMenu::set_show_numbers().
void | set_show_numbers (bool show_numbers=true)
| Sets whether a number should be added to the items shown by the widgets representing action.
Glib::PropertyProxy< bool > | property_show_numbers ()
| Whether the items should be displayed with a number.
Glib::PropertyProxy_ReadOnly< bool > | property_show_numbers () const
| Whether the items should be displayed with a number.
Public Member Functions inherited from Gtk::Action
| Action (Action && src) noexcept
Action & | operator= (Action && src) noexcept
| ~Action () noexcept override
GtkAction * | gobj ()
| Provides access to the underlying C GObject.
const GtkAction * | gobj () const
| Provides access to the underlying C GObject.
GtkAction * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::ustring | get_name () const
| Returns the name of the action.
bool | is_sensitive () const
| Returns whether the action is effectively sensitive.
bool | get_sensitive () const
| Returns whether the action itself is sensitive.
void | set_sensitive (bool sensitive=true)
| Sets the :sensitive property of the action to sensitive.
bool | is_visible () const
| Returns whether the action is effectively visible.
bool | get_visible () const
| Returns whether the action itself is visible.
void | set_visible (bool visible=true)
| Sets the :visible property of the action to visible.
void | activate ()
| Emits the “activate” signal on the specified action, if it isn't insensitive.
Image * | create_icon (IconSize icon_size)
| This function is intended for use by action implementations to create icons displayed in the proxy widgets.
MenuItem * | create_menu_item ()
| Creates a menu item widget that proxies for the given action.
ToolItem * | create_tool_item ()
| Creates a toolbar item widget that proxies for the given action.
Menu * | create_menu ()
| If action provides a Gtk::Menu widget as a submenu for the menu item or the toolbar item it creates, this function returns an instance of that menu.
std::vector< Widget * > | get_proxies ()
| Returns the proxy widgets for an action.
std::vector< const Widget * > | get_proxies () const
| Returns the proxy widgets for an action.
void | connect_accelerator ()
| Installs the accelerator for action if action has an accel path and group.
void | disconnect_accelerator ()
| Undoes the effect of one call to connect_accelerator().
Glib::ustring | get_accel_path () const
| Returns the accel path for this action.
Glib::SignalProxy< void > | signal_activate ()
void | set_accel_path (const Glib::ustring & accel_path)
| Sets the accel path for this action.
void | set_accel_group (const Glib::RefPtr< AccelGroup > & accel_group)
| Sets the Gtk::AccelGroup in which the accelerator for this action will be installed.
void | set_label (const Glib::ustring & label)
| Sets the label of action.
Glib::ustring | get_label () const
| Gets the label text of action.
void | set_short_label (const Glib::ustring & short_label)
| Sets a shorter label text on action.
Glib::ustring | get_short_label () const
| Gets the short label text of action.
void | set_tooltip (const Glib::ustring & tooltip)
| Sets the tooltip text on action.
Glib::ustring | get_tooltip () const
| Gets the tooltip text of action.
void | set_stock_id (const StockID & stock_id)
| Sets the stock id on action.
StockID | get_stock_id () const
| Gets the stock id of action.
void | set_gicon (const Glib::RefPtr< Gio::Icon > & icon)
| Sets the icon of action.
Glib::RefPtr< Gio::Icon > | get_gicon ()
| Gets the gicon of action.
Glib::RefPtr< const Gio::Icon > | get_gicon () const
| Gets the gicon of action.
void | set_icon_name (const Glib::ustring & icon_name)
| Sets the icon name on action.
Glib::ustring | get_icon_name () const
| Gets the icon name of action.
void | set_visible_horizontal (bool visible_horizontal=true)
| Sets whether action is visible when horizontal.
bool | get_visible_horizontal () const
| Checks whether action is visible when horizontal.
void | set_visible_vertical (bool visible_vertical=true)
| Sets whether action is visible when vertical.
bool | get_visible_vertical () const
| Checks whether action is visible when horizontal.
void | set_is_important (bool is_important=true)
| Sets whether the action is important, this attribute is used primarily by toolbar items to decide whether to show a label or not.
bool | get_is_important () const
| Checks whether action is important or not.
void | set_always_show_image (bool always_show=true)
| Sets whether action's menu item proxies will ignore the Gtk::Settings::property_gtk_menu_images() setting and always show their image, if available.
bool | get_always_show_image () const
| Returns whether action's menu item proxies will always show their image, if available.
void | block_activate ()
| Disable activation signals from the action.
void | unblock_activate ()
| Reenable activation signals from the action.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_name () const
| A unique name for the action.
Glib::PropertyProxy< Glib::ustring > | property_label ()
| The label used for menu items and buttons that activate this action.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_label () const
| The label used for menu items and buttons that activate this action.
Glib::PropertyProxy< Glib::ustring > | property_short_label ()
| A shorter label that may be used on toolbar buttons.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_short_label () const
| A shorter label that may be used on toolbar buttons.
Glib::PropertyProxy< Glib::ustring > | property_tooltip ()
| A tooltip for this action.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_tooltip () const
| A tooltip for this action.
Glib::PropertyProxy< StockID > | property_stock_id ()
| The stock icon displayed in widgets representing this action.
Glib::PropertyProxy_ReadOnly< StockID > | property_stock_id () const
| The stock icon displayed in widgets representing this action.
Glib::PropertyProxy< Glib::RefPtr< Gio::Icon > > | property_gicon ()
| The Gio::Icon displayed in the Gtk::Action.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gio::Icon > > | property_gicon () const
| The Gio::Icon displayed in the Gtk::Action.
Glib::PropertyProxy< Glib::ustring > | property_icon_name ()
| The name of the icon from the icon theme.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_icon_name () const
| The name of the icon from the icon theme.
Glib::PropertyProxy< bool > | property_visible_horizontal ()
| Whether the toolbar item is visible when the toolbar is in a horizontal orientation.
Glib::PropertyProxy_ReadOnly< bool > | property_visible_horizontal () const
| Whether the toolbar item is visible when the toolbar is in a horizontal orientation.
Glib::PropertyProxy< bool > | property_visible_vertical ()
| Whether the toolbar item is visible when the toolbar is in a vertical orientation.
Glib::PropertyProxy_ReadOnly< bool > | property_visible_vertical () const
| Whether the toolbar item is visible when the toolbar is in a vertical orientation.
Glib::PropertyProxy< bool > | property_visible_overflown ()
| When `true`, toolitem proxies for this action are represented in the toolbar overflow menu.
Glib::PropertyProxy_ReadOnly< bool > | property_visible_overflown () const
| When `true`, toolitem proxies for this action are represented in the toolbar overflow menu.
Glib::PropertyProxy< bool > | property_is_important ()
| Whether the action is considered important.
Glib::PropertyProxy_ReadOnly< bool > | property_is_important () const
| Whether the action is considered important.
Glib::PropertyProxy< bool > | property_hide_if_empty ()
| When `true`, empty menu proxies for this action are hidden.
Glib::PropertyProxy_ReadOnly< bool > | property_hide_if_empty () const
| When `true`, empty menu proxies for this action are hidden.
Glib::PropertyProxy< bool > | property_sensitive ()
| Whether the action is enabled.
Glib::PropertyProxy_ReadOnly< bool > | property_sensitive () const
| Whether the action is enabled.
Glib::PropertyProxy< bool > | property_visible ()
| Whether the action is visible.
Glib::PropertyProxy_ReadOnly< bool > | property_visible () const
| Whether the action is visible.
Glib::PropertyProxy< Glib::RefPtr< ActionGroup > > | property_action_group ()
| The GtkActionGroup this GtkAction is associated with, or `nullptr` (for internal use).
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< ActionGroup > > | property_action_group () const
| The GtkActionGroup this GtkAction is associated with, or `nullptr` (for internal use).
Glib::PropertyProxy< bool > | property_always_show_image ()
| If `true`, the action's menu item proxies will ignore the Gtk::Settings::property_gtk_menu_images() setting and always show their image, if available.
Glib::PropertyProxy_ReadOnly< bool > | property_always_show_image () const
| If `true`, the action's menu item proxies will ignore the Gtk::Settings::property_gtk_menu_images() setting and always show their image, if available.
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void > &&slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, sigc::slot< void > &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const
Public Member Functions inherited from Gtk::Buildable
| Buildable (Buildable && src) noexcept
Buildable & | operator= (Buildable && src) noexcept
| ~Buildable () noexcept override
GtkBuildable * | gobj ()
| Provides access to the underlying C GObject.
const GtkBuildable * | gobj () const
| Provides access to the underlying C GObject.
void | set_name (const Glib::ustring & name)
| Sets the name of the buildable object.
Glib::ustring | get_name () const
| Gets the name of the buildable object.
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
| ~Interface () noexcept override
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Gtk::RecentChooser
| RecentChooser (RecentChooser && src) noexcept
RecentChooser & | operator= (RecentChooser && src) noexcept
| ~RecentChooser () noexcept override
GtkRecentChooser * | gobj ()
| Provides access to the underlying C GObject.
const GtkRecentChooser * | gobj () const
| Provides access to the underlying C GObject.
void | set_show_private (bool show_private=true)
| Whether to show recently used resources marked registered as private.
bool | get_show_private () const
| Returns whether chooser should display recently used resources registered as private.
void | set_show_not_found (bool show_not_found=true)
| Sets whether chooser should display the recently used resources that it didn’t find.
bool | get_show_not_found () const
| Retrieves whether chooser should show the recently used resources that were not found.
void | set_select_multiple (bool select_multiple=true)
| Sets whether chooser can select multiple items.
bool | get_select_multiple () const
| Gets whether chooser can select multiple items.
void | set_limit (int limit)
| Sets the number of items that should be returned by get_items() and get_uris().
void | unset_limit ()
int | get_limit () const
| Gets the number of items returned by get_items() and get_uris().
void | set_local_only (bool local_only=true)
| Sets whether only local resources, that is resources using the file:// URI scheme, should be shown in the recently used resources selector.
bool | get_local_only () const
| Gets whether only local resources should be shown in the recently used resources selector.
void | set_show_tips (bool show_tips=true)
| Sets whether to show a tooltips containing the full path of each recently used resource in a Gtk::RecentChooser widget.
bool | get_show_tips () const
| Gets whether chooser should display tooltips containing the full path of a recently user resource.
void | set_show_icons (bool show_icons=true)
| Sets whether chooser should show an icon near the resource when displaying it.
bool | get_show_icons () const
| Retrieves whether chooser should show an icon near the resource.
void | set_sort_type (RecentSortType sort_type)
| Changes the sorting order of the recently used resources list displayed by chooser.
RecentSortType | get_sort_type () const
| Gets the value set by set_sort_type().
void | set_sort_func (const SlotCompare & slot)
| Sets the comparison function used when sorting the list of recently used resources and the sort type is RECENT_SORT_CUSTOM.
bool | set_current_uri (const Glib::ustring & uri)
| Sets uri as the current URI for chooser.
Glib::ustring | get_current_uri () const
| Gets the URI currently selected by chooser.
Glib::RefPtr< RecentInfo > | get_current_item ()
| Gets the Gtk::RecentInfo currently selected by chooser.
Glib::RefPtr< const RecentInfo > | get_current_item () const
| Gets the Gtk::RecentInfo currently selected by chooser.
bool | select_uri (const Glib::ustring & uri)
| Selects uri inside chooser.
void | unselect_uri (const Glib::ustring & uri)
| Unselects uri inside chooser.
void | select_all ()
| Selects all the items inside chooser, if the chooser supports multiple selection.
void | unselect_all ()
| Unselects all the items inside chooser.
std::vector< Glib::RefPtr< RecentInfo > > | get_items () const
| Gets the list of recently used resources in form of Gtk::RecentInfo objects.
std::vector< Glib::ustring > | get_uris () const
| Gets the URI of the recently used resources.
void | add_filter (const Glib::RefPtr< RecentFilter > & filter)
| Adds filter to the list of Gtk::RecentFilter objects held by chooser.
void | remove_filter (const Glib::RefPtr< RecentFilter > & filter)
| Removes filter from the list of Gtk::RecentFilter objects held by chooser.
std::vector< Glib::RefPtr< RecentFilter > > | list_filters ()
| Gets the Gtk::RecentFilter objects held by chooser.
std::vector< Glib::RefPtr< const RecentFilter > > | list_filters () const
| Gets the Gtk::RecentFilter objects held by chooser.
void | set_filter (const Glib::RefPtr< RecentFilter > & filter)
| Sets filter as the current Gtk::RecentFilter object used by chooser to affect the displayed recently used resources.
Glib::RefPtr< RecentFilter > | get_filter ()
| Gets the Gtk::RecentFilter object currently used by chooser to affect the display of the recently used resources.
Glib::RefPtr< const RecentFilter > | get_filter () const
| Gets the Gtk::RecentFilter object currently used by chooser to affect the display of the recently used resources.
Glib::SignalProxy< void > | signal_selection_changed ()
Glib::SignalProxy< void > | signal_item_activated ()
Glib::PropertyProxy< bool > | property_show_private ()
| Whether the private items should be displayed.
Glib::PropertyProxy_ReadOnly< bool > | property_show_private () const
| Whether the private items should be displayed.
Glib::PropertyProxy< bool > | property_show_tips ()
| Whether this Gtk::RecentChooser should display a tooltip containing the full path of the recently used resources.
Glib::PropertyProxy_ReadOnly< bool > | property_show_tips () const
| Whether this Gtk::RecentChooser should display a tooltip containing the full path of the recently used resources.
Glib::PropertyProxy< bool > | property_show_icons ()
| Whether this Gtk::RecentChooser should display an icon near the item.
Glib::PropertyProxy_ReadOnly< bool > | property_show_icons () const
| Whether this Gtk::RecentChooser should display an icon near the item.
Glib::PropertyProxy< bool > | property_show_not_found ()
| Whether this Gtk::RecentChooser should display the recently used resources even if not present anymore.
Glib::PropertyProxy_ReadOnly< bool > | property_show_not_found () const
| Whether this Gtk::RecentChooser should display the recently used resources even if not present anymore.
Glib::PropertyProxy< bool > | property_select_multiple ()
| Allow the user to select multiple resources.
Glib::PropertyProxy_ReadOnly< bool > | property_select_multiple () const
| Allow the user to select multiple resources.
Glib::PropertyProxy< bool > | property_local_only ()
| Whether this Gtk::RecentChooser should display only local (file:) resources.
Glib::PropertyProxy_ReadOnly< bool > | property_local_only () const
| Whether this Gtk::RecentChooser should display only local (file:) resources.
Glib::PropertyProxy< int > | property_limit ()
| The maximum number of recently used resources to be displayed, or -1 to display all items.
Glib::PropertyProxy_ReadOnly< int > | property_limit () const
| The maximum number of recently used resources to be displayed, or -1 to display all items.
Glib::PropertyProxy< RecentSortType > | property_sort_type ()
| Sorting order to be used when displaying the recently used resources.
Glib::PropertyProxy_ReadOnly< RecentSortType > | property_sort_type () const
| Sorting order to be used when displaying the recently used resources.
Glib::PropertyProxy< Glib::RefPtr< RecentFilter > > | property_filter ()
| The Gtk::RecentFilter object to be used when displaying the recently used resources.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< RecentFilter > > | property_filter () const
| The Gtk::RecentFilter object to be used when displaying the recently used resources.

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< RecentAction > | create ()
static Glib::RefPtr< RecentAction > | create (const Glib::ustring & name, const Glib::ustring & label=Glib::ustring(), const Glib::ustring & tooltip=Glib::ustring())
static Glib::RefPtr< RecentAction > | create (const Glib::ustring & name, const Gtk::StockID & stock_id, const Glib::ustring & label=Glib::ustring(), const Glib::ustring & tooltip=Glib::ustring())
static Glib::RefPtr< RecentAction > | create (const Glib::ustring & name, const Gtk::StockID & stock_id, const Glib::ustring & label, const Glib::ustring & tooltip, const Glib::RefPtr< RecentManager > & recent_manager)
Static Public Member Functions inherited from Gtk::Action
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< Action > | create ()
static Glib::RefPtr< Action > | create (const Glib::ustring & name, const Glib::ustring & label=Glib::ustring(), const Glib::ustring & tooltip=Glib::ustring())
| Creates an action.
static Glib::RefPtr< Action > | create (const Glib::ustring & name, const Gtk::StockID & stock_id, const Glib::ustring & label=Glib::ustring(), const Glib::ustring & tooltip=Glib::ustring())
| Creates an action with a stock ID.
static Glib::RefPtr< Action > | create_with_icon_name (const Glib::ustring & name, const Glib::ustring & icon_name, const Glib::ustring & label, const Glib::ustring & tooltip)
| Create an action with an icon name.
Static Public Member Functions inherited from Gtk::Buildable
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::RecentChooser
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Protected Member Functions
| RecentAction ()
| RecentAction (const Glib::ustring & name, const StockID & stock_id=StockID(), const Glib::ustring & label=Glib::ustring(), const Glib::ustring & tooltip=Glib::ustring())
| RecentAction (const Glib::ustring & name, const StockID & stock_id, const Glib::ustring & label, const Glib::ustring & tooltip, const Glib::RefPtr< RecentManager > & recent_manager)
Protected Member Functions inherited from Gtk::Action
| Action ()
| Creates an empty action.
| Action (const Glib::ustring & name, const StockID & stock_id=StockID(), const Glib::ustring & label=Glib::ustring(), const Glib::ustring & tooltip=Glib::ustring())
| Creates an action with a stock ID.
| Action (const Glib::ustring & name, const Glib::ustring & icon_name, const Glib::ustring & label=Glib::ustring(), const Glib::ustring & tooltip=Glib::ustring())
| Creates an action with an icon name.
virtual Widget * | create_menu_item_vfunc ()
virtual Widget * | create_tool_item_vfunc ()
virtual void | connect_proxy_vfunc (Widget * proxy)
virtual void | disconnect_proxy_vfunc (Widget * proxy)
virtual void | on_activate ()
| This is a default handler for the signal signal_activate().
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)
Protected Member Functions inherited from Gtk::Buildable
| Buildable ()
| You should derive from this class to use it.
Protected Member Functions inherited from Gtk::RecentChooser
| RecentChooser ()
| You should derive from this class to use it.
virtual Glib::ustring | get_current_uri_vfunc () const
virtual void | unselect_uri_vfunc (const Glib::ustring & uri)
virtual void | select_all_vfunc ()
virtual void | unselect_all_vfunc ()
virtual Glib::RefPtr< RecentManager > | get_recent_manager_vfunc ()
virtual void | add_filter_vfunc (const Glib::RefPtr< RecentFilter > & filter)
virtual void | remove_filter_vfunc (const Glib::RefPtr< RecentFilter > & filter)
virtual void | on_selection_changed ()
| This is a default handler for the signal signal_selection_changed().
virtual void | on_item_activated ()
| This is a default handler for the signal signal_item_activated().

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gtk::RecentAction > | wrap (GtkRecentAction * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::Action
Glib::RefPtr< Gtk::Action > | wrap (GtkAction * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::Buildable
Glib::RefPtr< Gtk::Buildable > | wrap (GtkBuildable * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::RecentChooser
Glib::RefPtr< Gtk::RecentChooser > | wrap (GtkRecentChooser * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members
Public Types inherited from Gtk::Action
typedef sigc::slot< void > | SlotActivate
| For instance, void on_activate();.
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Public Types inherited from Gtk::RecentChooser
typedef sigc::slot< int, const Glib::RefPtr< RecentInfo > &, const Glib::RefPtr< RecentInfo > & > | SlotCompare
| This callback should return -1 if b compares before a, 0 if they compare equal and 1 if a compares after b.

## Detailed Description

A deprecated action of which represents a list of recently used files.

A Gtk::RecentAction represents a list of recently used files, which can be shown by widgets such as Gtk::RecentChooserDialog or Gtk::RecentChooserMenu. To construct a submenu showing recently used files, use a Gtk::RecentAction as the action for a <menuitem>. To construct a menu toolbutton showing the recently used files in the popup menu, use a Gtk::RecentAction as the action for a <toolitem> element.

Since gtkmm 2.12:

Deprecated:
  Use Gio::Action and Gio::SimpleAction instead, and associate actions with Gtk::Actionable widgets. Use Gio::MenuModel for creating menus with Gtk::Menu(const Glib::RefPtr<Gio::MenuModel>& model). See the Gtk::Action base class for more information about the deprecation.

## Constructor & Destructor Documentation

## ◆ RecentAction() [1/4]

Gtk::RecentAction::RecentAction | ( | RecentAction && | src | ) |
| noexcept

## ◆ ~RecentAction()

Gtk::RecentAction::~RecentAction | ( |  | ) |
| overridenoexcept

## ◆ RecentAction() [2/4]

Gtk::RecentAction::RecentAction | ( |  | ) |
| protected

## ◆ RecentAction() [3/4]

Gtk::RecentAction::RecentAction | ( | const Glib::ustring & | name,
|  | const StockID & | stock_id = `StockID()`,
|  | const Glib::ustring & | label = `Glib::ustring()`,
|  | const Glib::ustring & | tooltip = `Glib::ustring()`
| ) |  |
| explicitprotected

Deprecated:
  There is no corresponding replacement when using Gio::Action.

## ◆ RecentAction() [4/4]

Gtk::RecentAction::RecentAction | ( | const Glib::ustring & | name,
|  | const StockID & | stock_id,
|  | const Glib::ustring & | label,
|  | const Glib::ustring & | tooltip,
|  | const Glib::RefPtr< RecentManager > & | recent_manager
| ) |  |
| explicitprotected

Deprecated:
  There is no corresponding replacement when using Gio::Action.

## Member Function Documentation

## ◆ create() [1/4]

static Glib::RefPtr< RecentAction > Gtk::RecentAction::create | ( |  | ) |
| static

## ◆ create() [2/4]

static Glib::RefPtr< RecentAction > Gtk::RecentAction::create | ( | const Glib::ustring & | name,
|  | const Glib::ustring & | label = `Glib::ustring()`,
|  | const Glib::ustring & | tooltip = `Glib::ustring()`
| ) |  |
| static

Deprecated:
  Use Gtk::RecentChooser::set_show_tips() to control tooltips on a Gtk::RecentChooserMenu.

## ◆ create() [3/4]

static Glib::RefPtr< RecentAction > Gtk::RecentAction::create | ( | const Glib::ustring & | name,
|  | const Gtk::StockID & | stock_id,
|  | const Glib::ustring & | label,
|  | const Glib::ustring & | tooltip,
|  | const Glib::RefPtr< RecentManager > & | recent_manager
| ) |  |
| static

Deprecated:
  There is no corresponding replacement when using Gio::Action.

## ◆ create() [4/4]

static Glib::RefPtr< RecentAction > Gtk::RecentAction::create | ( | const Glib::ustring & | name,
|  | const Gtk::StockID & | stock_id,
|  | const Glib::ustring & | label = `Glib::ustring()`,
|  | const Glib::ustring & | tooltip = `Glib::ustring()`
| ) |  |
| static

Deprecated:
  There is no corresponding replacement when using Gio::Action.

## ◆ get_show_numbers()

bool Gtk::RecentAction::get_show_numbers | ( |  | ) |

Returns the value set by Gtk::RecentChooserMenu::set_show_numbers().

Since gtkmm 2.12:

Deprecated: 3.10

Deprecated:
  Use Gtk::RecentChooserMenu::get_show_numbers() instead.

Returns
  `true` if numbers should be shown.

## ◆ get_type()

static GType Gtk::RecentAction::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkRecentAction * Gtk::RecentAction::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkRecentAction * Gtk::RecentAction::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkRecentAction * Gtk::RecentAction::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

RecentAction & Gtk::RecentAction::operator= | ( | RecentAction && | src | ) |
| noexcept

## ◆ property_show_numbers() [1/2]

Glib::PropertyProxy< bool > Gtk::RecentAction::property_show_numbers | ( |  | ) |

Whether the items should be displayed with a number.

Deprecated: 3.10

Deprecated:
  Use Gtk::RecentChooserMenu::property_show_numbers() instead.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_show_numbers() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::RecentAction::property_show_numbers | ( |  | ) | const

Whether the items should be displayed with a number.

Deprecated: 3.10

Deprecated:
  Use Gtk::RecentChooserMenu::property_show_numbers() instead.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ set_show_numbers()

void Gtk::RecentAction::set_show_numbers | ( | bool | show_numbers = `true` | ) |

Sets whether a number should be added to the items shown by the widgets representing action.

The numbers are shown to provide a unique character for a mnemonic to be used inside the menu item's label. Only the first ten items get a number to avoid clashes.

Since gtkmm 2.12:

Deprecated: 3.10

Deprecated:
  Use Gtk::RecentChooserMenu::set_show_numbers() instead.

Parameters

  show_numbers | `true` if the shown items should be numbered.

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::RecentAction > wrap | ( | GtkRecentAction * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.